#
# Conditional build:
%bcond_without	cap		# Enable support for the Linux Capabilities (default: disabled)

Summary:	A backend data gatherer for Cacti
Summary(pl.UTF-8):	Backend gromadzący dane dla Cacti
Name:		cacti-spine
Version:	1.1.30
Release:	3
License:	GPL
Group:		Daemons
Source0:	http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz
# Source0-md5:	48f31721dee36adf393511b955808bc2
Patch0:		%{name}-paths.patch
# Official patches http://www.cacti.net/spine_download_patches.php
URL:		http://www.cacti.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_cap:BuildRequires:	libcap-devel}
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.502
BuildRequires:	zlib-devel
%requires_eq	net-snmp-libs
Requires:	cacti
Obsoletes:	cacti-cactid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		cacti
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_bindir		%{_sbindir}

%description
A backend data gatherer for Cacti. This package represents the future
replacement for Cacti's cmd.php. It is almost 100% compatible with the
legacy cmd.php processor.

%description -l pl.UTF-8
Backend gromadzący dane dla Cacti. Ten pakiet reprezentuje przyszły
zamiennik cmd.php z Cacti. Jest prawie w 100% kompatybilny ze starym
procesorem cmd.php.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoconf}
chmod +x ./configure
%configure \
	--with-results-buffer=4096 \
	--with-mysql \
	%{__enable_disable cap lcap} \
	--with-snmp=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sbindir}/{spine,cacti-poller-spine}
mv $RPM_BUILD_ROOT%{_sysconfdir}/spine.conf{.dist,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/spine.conf
%attr(755,root,root) %{_sbindir}/cacti-poller-spine
%{_mandir}/man1/spine.1*
%changelog
* Sun Sep 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-spine.git;a=log;h=master

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 6657d5c
- rebuild with net-snmp 5.8
- release 3 (by relup.sh)

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> d036cb5
- rebuild with mysql 5.7
- release 2 (by relup.sh)

* Tue Jan 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 74291dd
- up to 1.1.30

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> 029e469
- up to 1.1.3

* Thu Feb 25 2016 Elan Ruusamäe <glen@delfi.ee> 3bc11fc
- drop outdated x32.patch

* Thu Feb 25 2016 Elan Ruusamäe <glen@delfi.ee> d8f9508
- fix help2man

* Thu Feb 25 2016 Elan Ruusamäe <glen@delfi.ee> 1e305c3
- fix make dep for manual

* Thu Feb 25 2016 Elan Ruusamäe <glen@delfi.ee> fd87c26
- up to 0.8.8g; still fails to link with -lcap

* Tue Jan 19 2016 Elan Ruusamäe <glen@delfi.ee> 56dd2a9
- add missing -I m4 for aclocal

* Tue Jan 19 2016 Elan Ruusamäe <glen@delfi.ee> c10a49a
- add bcond for linux caps

* Tue Jan 19 2016 Elan Ruusamäe <glen@delfi.ee> c0be652
- possible cacti bug. the site is down right now

* Tue Jan 19 2016 Elan Ruusamäe <glen@delfi.ee> a16c76a
- up to 0.8.8f, link failure

* Tue Jan 19 2016 Elan Ruusamäe <glen@delfi.ee> 16b5ae2
- up to 0.8.8f

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 83b2035
- fix building on x32
- rel 2

* Wed Jan 14 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> a8f2670
- Version: 0.8.8c

* Sun Jun 08 2014 Jan Rękorajski <baggins@pld-linux.org> a66b394
- release 2 (by relup.sh)

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 8039649
- up to 0.8.8b

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> 40fa55c
- release 2 (by relup.sh)

* Tue Oct 30 2012 Elan Ruusamäe <glen@delfi.ee> 7a09d87
- up to 0.8.8a

* Tue Oct 30 2012 Elan Ruusamäe <glen@delfi.ee> 0add81b
- up to 0.8.8

